Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

There's currently a forum problem with avatars not showing in reactions.
Neverwinter Nights: Enhanced Edition has been released! Visit nwn.beamdog.com to make an order. NWN:EE FAQ is available.
Soundtracks for BG:EE, SoD, BG2:EE, IWD:EE, PST:EE are now available in the Beamdog store.
Attention, new and old users! Please read the new rules of conduct for the forums, and we hope you enjoy your stay!
«134

Comments

  • brunardobrunardo Member Posts: 493
    this is exactly what I need, great work!

    AlonsoRelSundanJuliusBorisov
  • RelSundanRelSundan Member Posts: 916
    Good initiative! I think a lot of users will find this helpful!

    JuliusBorisovGotural
  • subtledoctorsubtledoctor Member Posts: 9,529
    edited November 2016
    I think @agb1's post is probably a good one to have in a stickied thread like this... I think, hopefully, it should completely resolve SCS installation issues.

    JuliusBorisovagb1CrevsDaak
  • woowoovoodoowoowoovoodoo Member Posts: 150
    edited January 2017
    The best news since invention of a sliced bread.

    JuliusBorisov
  • brunardobrunardo Member Posts: 493
    @JuliusBorisov Does that mean I should wait to start my first big SCS run ?

    JuliusBorisov
  • comebackhomecomebackhome Member Posts: 254
    Any updates on latest version of SCS being released?

  • DavidWDavidW Member Posts: 488
  • EtaminEtamin Member Posts: 717
    @DavidW are you still going to update SCS soon?

  • DoubledimasDoubledimas Member, Moderator, Mobile Tester Posts: 1,103
    Etamin said:

    @DavidW are you still going to update SCS soon?

    reading on the Gibberlings forum David said on the 7th of April that there is no ETA yet for v31.

    Etamin
  • LX1LX1 Member Posts: 3
    edited September 2017
    Hello,

    Does somebody can send me a copy of stratagems v30 please? I deleted it by mistake... G3 is down, there's nothing on GitHub... I searched for hours without result...

    Thx


    https://mediafire.com/file/wy2891myh4upbwi/stratagems-v30.7z

    See SHSforums and Giberling3 down discussion

    Post edited by LX1 on
  • ThrawnThrawn Member Posts: 7
    edited October 2017
    When installing scs just stops. no error message just stops and does nothing. I have stopped everything and restarted the install twice. SCS again stops. Both times it is in the middle of the general AI enhancements. I paused BWS tried Manuel install, scs again freezes in the same place (same as when running through BWS for the first and second times respectively).

    anyone know how to fix?

    Edit to note. the other pieces of scs install fine

    Edit 2: attached setup-strategems debug file.

    Post edited by Thrawn on
  • RaduzielRaduziel Member Posts: 3,210
    Thrawn said:

    When installing scs just stops. no error message just stops and does nothing. I have stopped everything and restarted the install twice. SCS again stops. Both times it is in the middle of the general AI enhancements. I paused BWS tried Manuel install, scs again freezes in the same place (same as when running through BWS for the first and second times respectively).

    anyone know how to fix?

    Edit to note. the other pieces of scs install fine

    Edit 2: attached setup-strategems debug file.

    Might want to add to the "installation" section:
    SCS with hotfixes included for EE 2.0+

    And, of interest to players who also use Spell Revisions:
    kreso's variant SCS for SR

    @Thrawn are you using @subtledoctor 's hotfix? Without it you can't go past AI enhancements component.

    Aerakar
  • JuliusBorisovJuliusBorisov Member, Administrator, Moderator, Developer Posts: 16,115
    Hello, modders!

    It seems there's something changed in the latest build of BG:EE which makes me unable to install SCS neither through @subtledoctor 's hotfix nor FixPack.

    Everything is installing fine till AI enhancements.

    Copying and patching 1 file ...
    [./override/SPWI618.spl] loaded, 8394 bytes
    ERROR: illegal 2-byte read from offset 3144762 of 7242-byte file SPWI618.spl

    Failure Failure("SPWI618.spl: read out of bounds") in check_standard_function: inputs were func=opcode, arguments=
    [stratagems_external/workspace/sfo_warnings.txt] loaded, 5597 bytes
    Appending to files ...
    [stratagems_external/workspace/sfo_warnings.txt] loaded, 5597 bytes
    Appended text to [stratagems_external/workspace/sfo_warnings.txt]
    ERROR: [SPWI618.spl] -> [override/dw#sw618.spl] Patching Failed (COPY) (Failure("SPWI618.spl: read out of bounds"))
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.

    ERROR Installing [Initialise AI components (required for all tactical and AI components)], rolling back to previous state
    Unable to Unlink [stratagems_external/backup/stratagems/5900/OTHER.5900]: Unix.Unix_error(1, "unlink", "stratagems_external/backup/stratagems/5900/OTHER.5900")
    [stratagems_external/backup/stratagems/5900/UNSETSTR.5900] SET_STRING uninstall info not found
    Will uninstall 27 files for [STRATAGEMS/SETUP-STRATAGEMS.TP2] component 5900.
    Restoring backed-up [stratagems_external/backup/stratagems/5900/stratagems_external.workspace.SFO_warnings.txt]
    stratagems_external/backup/stratagems/5900/stratagems_external.workspace.SFO_warnings.txt copied to stratagems_external/workspace/SFO_warnings.txt, 5564 bytes
    Restoring backed-up [stratagems_external/backup/stratagems/5900/stratagems_external.workspace.initialise.tpa]
    stratagems_external/backup/stratagems/5900/stratagems_external.workspace.initialise.tpa copied to stratagems_external/workspace/initialise.tpa, 344 bytes
    Restoring backed-up [stratagems_external/backup/stratagems/5900/stratagems_external.workspace.caster_shared.tph]
    stratagems_external/backup/stratagems/5900/stratagems_external.workspace.caster_shared.tph copied to stratagems_external/workspace/caster_shared.tph, 35136 bytes
    Uninstalled 27 files for [STRATAGEMS/SETUP-STRATAGEMS.TP2] component 5900.

    Can someone upload a hotfix?

    OrlonKronsteenStummvonBordwehr
  • JuliusBorisovJuliusBorisov Member, Administrator, Moderator, Developer Posts: 16,115
    edited April 11
    @subtledoctor Does it contain SCS without SR? I mean, will it be able to provide normal SCS (without SR parts) if I don't have SR?

    Post edited by JuliusBorisov on
  • JuliusBorisovJuliusBorisov Member, Administrator, Moderator, Developer Posts: 16,115
    Ok, anyway. I've tried that and it gives the same error (on 2.5.15.1 beta):

    @Aasim @subtledoctor

    [./override/SPWI618.SPL] loaded, 8394 bytes
    ERROR: illegal 2-byte read from offset 3145914 of 8394-byte file SPWI618.SPL

    Failure Failure("SPWI618.SPL: read out of bounds") in check_standard_function: inputs were func=opcode, arguments=
    [stratagems_external/workspace/sfo_warnings.txt] loaded, 941 bytes
    Appending to files ...
    [stratagems_external/workspace/sfo_warnings.txt] loaded, 941 bytes
    Appended text to [stratagems_external/workspace/sfo_warnings.txt]
    ERROR: [SPWI618.SPL] -> [override/SPWI618.SPL] Patching Failed (COPY) (Failure("SPWI618.SPL: read out of bounds"))
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.

    ERROR Installing [Initialise AI components (required for all tactical and AI components)], rolling back to previous state
    Unable to Unlink [stratagems_external/backup/stratagems/5900/OTHER.5900]: Unix.Unix_error(1, "unlink", "stratagems_external/backup/stratagems/5900/OTHER.5900")
    [stratagems_external/backup/stratagems/5900/UNSETSTR.5900] SET_STRING uninstall info not found
    Will uninstall 8 files for [STRATAGEMS/SETUP-STRATAGEMS.TP2] component 5900.
    Restoring backed-up [stratagems_external/backup/stratagems/5900/SFO_warnings.txt]
    stratagems_external/backup/stratagems/5900/SFO_warnings.txt copied to stratagems_external/workspace/SFO_warnings.txt, 908 bytes
    Uninstalled 8 files for [STRATAGEMS/SETUP-STRATAGEMS.TP2] component 5900.
    [./override/ar0125.are] loaded, 9760 bytes

  • Luke93Luke93 Member, Mobile Tester Posts: 926

    @subtledoctor Does it contain SCS without SR? I mean, will it be able to provide normal SCS (without SR parts) if I don't have SR?

    Yes, it should work fine even without SR....

  • subtledoctorsubtledoctor Member Posts: 9,529

    Ok, anyway. I've tried that and it gives the same error (on 2.5.15.1 beta):

    Did the beta change SPWI618?? Maybe export the unmodded version of that spell and post it here, and I'll compare it in NI against the 2.3/2.4 version. Revised SCS installs just fine for me in 2.4 (iOS)...

    Realistically, SCS hasn't been updated since the EEs were at v1.3. With all the major engine changes since then, there should really be a proper SCS update rather than this series of slapdash patches... but since nobody understands how SCS works (it uses SSL, which I only know as "Secure Socket Layer" :lol: ), that would require DavidW to come back and pitch in. And who knows if that will happen... :(

  • JuliusBorisovJuliusBorisov Member, Administrator, Moderator, Developer Posts: 16,115
    SCS has been working fine for me on 2.3 and 2.5.10 (the first beta build). But the new beta build gives this error. I've decided to go forward and post about it, as soon more players (actually, any player who tries to install AI enhancements on 2.5.15.1) will get this error while installing SCS.

    Here, I've exported it (it's Spell Deflection). For some reason attaching zip files is not working for me, so here's the link:

    https://www.dropbox.com/s/ae9nqrddtbvnaad/SPWI618.zip?dl=0

  • Luke93Luke93 Member, Mobile Tester Posts: 926
    edited April 11
    Yep, I confirm: that component [Initialise AI components] refuses to install on v2.5.15.1, whereas it installs fine on iOS v2.4

    JuliusBorisov
  • JuliusBorisovJuliusBorisov Member, Administrator, Moderator, Developer Posts: 16,115
    edited April 11
    Heard back from our team:

    "If we are talking about SPWI618.spl then it's only the first effect in each header that was changed, the reason being is that SPWI618B.spl is cast when the spell deflection is exhausted which dispels the parent spell (SPWI618.spl). I cannot comment any further since I don't know exactly what is broken by the mentioned mod. This change btw applies to all other spell deflection, turning, and trap spells"

    Tell me what else I should export.

  • subtledoctorsubtledoctor Member Posts: 9,529
    edited April 11
    I think the spell is bugged.

    1) You didn't upload the subspell spwi618B.spl, but I don't actually see any reference to it in this spell. So maybe this is an old/bad file that snuck into the 2.5.15.1 build and replaced the version that they are talking about.

    Frankly I'd love to know why they are adding a subspell to this to cancel the original spell - it seems entirely unnecessary. (Is Galactygon on the team? I know he tends to make spells somewhat... complicated... though generally with interesting/good results.)

    2) Here is the v2.3.67 spell in NI:

    ...and here is the 2.5.15.1 version:

    So two bad headers, and some kind of extra bytes?

    3) The first header weirdly has a 133 Luck effect:

    ...whereas the following headers have a 141 Lighting effect:


    I replaced the Luck effect with a copy of the Lighting effect from other headers, and I deleted the last two headers, and I'm attaching the result here. NI still thinks it has extra/unused bytes, so it may still be messed up. You can try dropping this in /override and installing SCS, or if you just want to play the game, I would suggest just grabbing a copy from a 2.3.67 game. That will work fine.

    Whatever dev gave you that information should probably take a look at the spell in the internal beta build... assuming this is not isolated to your computer, a bug report should probably be added to Redmine.

    EDIT - as long as the devs are working on these spells, they should probably also have a 321 effect at the top of each header, so that they can be refreshed without stacking...

    Post edited by subtledoctor on
    Aedan
  • bob_vengbob_veng Member Posts: 2,156
    consider incorporating scs into vanilla as a difficulty level or game mode unto itself. scs is universally popular and it's a superior way to enhance difficulty to all other existing methods.

    call it "enhanced ai" "tactical ai" or something like that

    AerakarLucidbro
«134
Sign In or Register to comment.